%define upstream_name    App-Raps2
%define upstream_version 0.54

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Password class for App::Raps2
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(Crypt::CBC)
BuildRequires: perl(Crypt::Eksblowfish)
BuildRequires: perl(Crypt::Eksblowfish::Bcrypt)
BuildRequires: perl(File::BaseDir)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(POSIX)
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
*App::Raps2* is the backend for *raps2*, a simple commandline password
safe.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changelog COPYING SIGNATURE META.yml README
%{_bindir}/raps2
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/raps2
/usr/share/man/man1/raps2.1.xz



%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.540.0-5.mga8
+ Revision: 1492729
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.540.0-4.mga7
+ Revision: 1265689
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.540.0-3.mga6
+ Revision: 1022555
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.540.0-2.mga6
+ Revision: 971303
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.540.0-1.mga6
+ Revision: 891225
- update to 0.54

* Wed Oct 15 2014 umeabot <umeabot> 0.530.0-6.mga5
+ Revision: 739041
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.530.0-5.mga5
+ Revision: 683524
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.530.0-4.mga4
+ Revision: 509116
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.530.0-3.mga3
+ Revision: 363081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 26 2011 shlomif <shlomif> 0.530.0-2.mga2
+ Revision: 129757
- Fixed the File::BaseDir dependency.
- imported package perl-App-Raps2


* Tue Jul 26 2011 cpan2dist 0.53-1mga
- initial mageia release, generated with cpan2dist
